%define		pname proftpd
%define		mversion 1.3.3c
%define		pversion 1.3.3c
%define 	bversion 100
%define		rpmrelease iworx
%define		rundir /var/run/proftpd
%define		user  proftpd
%define		iworxdir /home/interworx
%define		iworx_mysql_include %{iworxdir}/include/mysql
%define		iworx_mysql_lib %{iworxdir}/lib/mysql

%define 	debug_package %{nil}

##
# You can specify additional modules on the RPM build line by 
# specifying flags like:
#
#   --with mod_tls
#
# The following modules/support can be added in this manner:
#
#   mod_tls
#   mod_radius
#   mod_ldap
#   mod_wrap
#   mod_sql_postgres
#   mod_rewrite
#   mod_ifsession
#
# Default mods are ratio, readme, sql, sql_mysql
##

# INSTRUCTIONS!!! <--------------------- READ THEM!!!
#
# You can rebuild  this  package safely using Command 
# Line Overrides. For example, if you want to rebuild
# this package for RedHat just type:
# $ rpm --rebuild --with redhat package.src.rpm
# $ rpm -ba --with redhat package.spec
#
# mdk = GNU/Linux Mandrake
# rht = Linux Red-Hat
# sus = Suse Linux
# fdr = Fedora Linux
# cos = CentOS
# whb = White Box Linux
# rhe = Red Hat Enterprise
# unk = Unknown
#

%define 	build_rht_90   0
%define		build_cos_3x   0
%define		build_fdr_10   0
%define		build_fdr_20   0
%define		build_fdr_30   0
%define		build_fdr_40   0
%define		build_fdr_80   0
%define		build_fdr_90   0
%define		build_whb_3x   0
%define		build_rhe_2x   0
%define		build_rhe_3x   0
%define		build_rhe_4x   0
%define		build_rhe_5x   0
%define		build_rhe_6x   0

%define		build_unk      1

# Command Line Overrides
%{?_with_rht90:   	%{expand: %%define build_rht_90   1}}
%{?_with_cos3x: 	%{expand: %%define build_cos_3x   1}}
%{?_with_fdr10: 	%{expand: %%define build_fdr_10   1}}
%{?_with_fdr20: 	%{expand: %%define build_fdr_20   1}}
%{?_with_fdr30: 	%{expand: %%define build_fdr_30   1}}
%{?_with_fdr40: 	%{expand: %%define build_fdr_40   1}}
%{?_with_fdr80: 	%{expand: %%define build_fdr_80   1}}
%{?_with_fdr90: 	%{expand: %%define build_fdr_90   1}}
%{?_with_whb3x: 	%{expand: %%define build_whb_3x   1}}
%{?_with_rhe2x: 	%{expand: %%define build_rhe_2x   1}}
%{?_with_rhe3x: 	%{expand: %%define build_rhe_3x   1}}
%{?_with_rhe4x: 	%{expand: %%define build_rhe_4x   1}}
%{?_with_rhe5x: 	%{expand: %%define build_rhe_5x   1}}
%{?_with_rhe6x: 	%{expand: %%define build_rhe_6x   1}}

%{?_with_unk: 		%{expand: %%define build_unk      1}}

# Distro Statements
%if %{build_rht_90}
%define		oscode rht90
%define 	ostype RedHat 9
%define		ccflags %{optflags} -I%{iworxdir}/include/mysql -I/usr/kerberos/include
%define		ldflags %{optflags} -L%{iworxdir}/lib/mysql
%define		build_unk 0
%endif

%if %{build_cos_3x}
%define		oscode cos3x
%define 	ostype CentOS 3.x
%define		ccflags %{optflags} -I%{iworxdir}/include/mysql -I/usr/kerberos/include
%define		ldflags %{optflags} -L%{iworxdir}/lib/mysql
%define		build_unk 0
%endif

%if %{build_fdr_10}
%define		oscode fdr10
%define 	ostype Fedora Core 1
%define		ccflags %{optflags} -I%{iworxdir}/include/mysql -I/usr/kerberos/include
%define		ldflags %{optflags} -L%{iworxdir}/lib/mysql
%define		build_unk 0
%endif

%if %{build_fdr_20}
%define		oscode fdr20
%define 	ostype Fedora Core 2
%define		ccflags %{optflags} -I%{iworxdir}/include/mysql -I/usr/kerberos/include
%define		ldflags %{optflags} -L%{iworxdir}/lib/mysql
%define		build_unk 0
%endif

%if %{build_fdr_30}
%define		oscode fdr30
%define 	ostype Fedora Core 3
%define		ccflags %{optflags} -I%{iworxdir}/include/mysql -I/usr/kerberos/include
%define		ldflags %{optflags} -L%{iworxdir}/lib/mysql
%define		build_unk 0
%endif

%if %{build_fdr_40}
%define		oscode fdr40
%define 	ostype Fedora Core 4
%define		ccflags %{optflags} -I%{iworxdir}/include/mysql -I/usr/kerberos/include
%define		ldflags %{optflags} -L%{iworxdir}/lib/mysql
%define		build_unk 0
%endif

%if %{build_fdr_80}
%define		oscode fdr80
%define 	ostype Fedora Core 8
%define		ccflags %{optflags} -I%{iworxdir}/include/mysql -I/usr/kerberos/include
%define		ldflags %{optflags} -L%{iworxdir}/lib/mysql
%define		build_unk 0
%endif

%if %{build_fdr_90}
%define		oscode fdr90
%define 	ostype Fedora Core 9
%define		ccflags %{optflags} -I%{iworxdir}/include/mysql -I/usr/kerberos/include
%define		ldflags %{optflags} -L%{iworxdir}/lib/mysql
%define		build_unk 0
%endif

%if %{build_whb_3x}
%define		oscode whb3x
%define 	ostype White Box 3.x
%define		ccflags %{optflags} -I%{iworxdir}/include/mysql -I/usr/kerberos/include
%define		ldflags %{optflags} -L%{iworxdir}/lib/mysql
%define		build_unk 0
%endif

%if %{build_rhe_2x}
%define		oscode rhe2x
%define 	ostype RedHat Enterprise 2.x
%define		ccflags %{optflags} -I%{iworxdir}/include/mysql -I/usr/kerberos/include
%define		ldflags %{optflags} -L%{iworxdir}/lib/mysql
%define		build_unk 0
%endif

%if %{build_rhe_3x}
%define		oscode rhe3x
%define 	ostype RedHat Enterprise 3.x
%define		ccflags %{optflags} -I%{iworxdir}/include/mysql -I/usr/kerberos/include
%define		ldflags %{optflags} -L%{iworxdir}/lib/mysql
%define		build_unk 0
%endif

%if %{build_rhe_4x}
%define		oscode rhe4x
%define 	ostype RedHat Enterprise 4.x
%define		ccflags %{optflags} -I%{iworxdir}/include/mysql -I/usr/kerberos/include
%define		ldflags %{optflags} -L%{iworxdir}/lib/mysql
%define		build_unk 0
%endif

%if %{build_rhe_5x}
%define		oscode rhe5x
%define 	ostype RedHat Enterprise 5.x
%define		ccflags %{optflags} -I%{iworxdir}/include/mysql -I/usr/kerberos/include
%define		ldflags %{optflags} -L%{iworxdir}/lib/mysql
%define		build_unk 0
%endif

%if %{build_rhe_6x}
%define		oscode rhe6x
%define 	ostype RedHat Enterprise 6.x
%define		ccflags %{optflags} -I%{iworxdir}/include/mysql -I/usr/kerberos/include
%define		ldflags %{optflags} -L%{iworxdir}/lib/mysql
%define		build_unk 0
%endif

%define	release %{bversion}.%{oscode}.%{rpmrelease}

##
# THIS MUST BE LAST
##

%if %{build_unk}
%define		oscode unk
%define 	ostype Unknown Distribution
%define		release %{bversion}.%{rpmrelease}
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%endif

############### RPM ################################

Summary:	ProFTPD -- Professional FTP Server.
Name:		%{pname}
Version:	%{pversion}
Release: 	%{release}
License:	GPL

Group:		System Environment/Daemons
Source0:	%{name}-%{pversion}.tar.gz
URL:		http://www.proftpd.org/

Distribution:	InterWorx-HAL
Vendor:         INTERWORX L.L.C
Packager:	Paul Oehler <poehler@interworx.com>

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Provides:	ftpserver

Requires:	grep
Requires:	chkconfig
Requires:	initscripts
Requires:	fileutils

BuildRequires:  mysql-iworx
BuildRequires:  openssl-devel
BuildRequires:  pam-devel

Epoch:		1

Source1:	proftpd.conf
Patch0: 	proftpd-1.3.0a-fix-umode_t.patch
Patch1:		proftpd-1.3.0a-libcap-fix.patch
Patch2:		cmd-too-long.patch


%description
ProFTPD is an enhanced FTP server with a focus toward simplicity, security,
and ease of configuration.  It features a very Apache-like configuration
syntax, and a highly customizable server infrastructure, including support for
multiple 'virtual' FTP servers, anonymous FTP, and permission-based directory
visibility.

%package devel
Summary:	Header files for proftpd
Group:		Development/Libraries

%description devel
Header files for proftpd

%prep

[ -n %{buildroot} ] && rm -rf %{buildroot}

[ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] && rm -rf $RPM_BUILD_DIR/%{name}-%{pversion}

%setup -q -n %{name}-%{mversion}
#%patch0 -p1 -b .fix-umode_t

%if %{build_fdr_90}
%patch1 -p2 -b .fix-libcap
%endif

#%patch2 -p0 -b .cmd-too-long

# Try detecting newest gcc (some distributions have got more then one compiler)
# and write it on a temp file 

[ -f %{_tmppath}/%{name}-%{pversion}-gcc ] && rm -f %{_tmppath}/%{name}-%{pversion}-gcc

if   [ -x /usr/bin/gcc-3.2.3 ]; then
	echo "/usr/bin/gcc-3.2.3" > %{_tmppath}/%{name}-%{pversion}-gcc
elif   [ -x /usr/bin/gcc-3.2.2 ]; then
	echo "/usr/bin/gcc-3.2.2" > %{_tmppath}/%{name}-%{pversion}-gcc
elif   [ -x /usr/bin/gcc-3.2.1 ]; then
	echo "/usr/bin/gcc-3.2.1" > %{_tmppath}/%{name}-%{pversion}-gcc
elif [ -x /usr/bin/gcc-3.2 ]; then
        echo "/usr/bin/gcc-3.2" > %{_tmppath}/%{name}-%{pversion}-gcc
elif [ -x /usr/bin/gcc-3.1.1 ]; then
        echo "/usr/bin/gcc-3.1.1" > %{_tmppath}/%{name}-%{pversion}-gcc
else
	echo "gcc" > %{_tmppath}/%{name}-%{pversion}-gcc
fi

# Display compilation flags and OS with colors ;)

[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags
cat <<EOF >>%{_tmppath}/%{name}-%{pversion}-show_flags
#!/bin/sh

RPM="RPM RELEASE: \033[40m\033[001;033m%{release}"
OS="OS TYPE IS : \033[40m\033[001;033m%{ostype}"
GCC="GCC IS     : \033[40m\033[001;033m`cat %{_tmppath}/%{name}-%{pversion}-gcc`"
CCF="CCFLAGS    : \033[40m\033[001;033m%{ccflags}"
LDF="LDFLAGS    : \033[40m\033[001;033m%{ldflags}"

echo
echo
echo -e "\033[40m\033[001;031m\$RPM\033[0m"
echo -e "\033[40m\033[001;031m\$OS\033[0m"
echo -e "\033[40m\033[001;031m\$GCC\033[0m"
echo -e "\033[40m\033[001;031m\$CCF\033[0m"
echo -e "\033[40m\033[001;031m\$LDF\033[0m"
echo
echo

sleep 3

EOF

# Take care to execute and then to delete
chmod u+x %{_tmppath}/%{name}-%{pversion}-show_flags
%{_tmppath}/%{name}-%{pversion}-show_flags
[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags

# We have gcc written in a temp file
export CC="`cat %{_tmppath}/%{name}-%{pversion}-gcc` %{ccflags}"

# Delete gcc temp file
[ -f %{_tmppath}/%{name}-%{pversion}-gcc ] && rm -f %{_tmppath}/%{name}-%{pversion}-gcc

MODULES="mod_ratio:mod_readme:mod_sql:mod_sql_mysql:mod_tls"
MODULES="${MODULES}%{?_with_mod_tls::mod_tls}"
MODULES="${MODULES}%{?_with_mod_radius::mod_radius}"
MODULES="${MODULES}%{?_with_mod_ldap::mod_ldap}"
MODULES="${MODULES}%{?_with_mod_wrap::mod_wrap}"
MODULES="${MODULES}%{?_with_mod_sql_postgres::mod_sql_postgres}"
MODULES="${MODULES}%{?_with_mod_rewrite::mod_rewrite}"
MODULES="${MODULES}%{?_with_mod_ifsession::mod_ifsession}"

export LDFLAGS="%{ldflags}"

./configure                           \
	--prefix=%{_prefix}               \
	--bindir=%{_bindir}               \
	--mandir=%{_mandir}               \
	--localstatedir=%{_localstatedir} \
	--libdir=%{_libdir}               \
	--datadir=%{_datadir}             \
	--includedir=%{_includedir}       \
	--sysconfdir=%{_sysconfdir}       \
	--disable-shared                  \
	--with-includes=%{iworx_mysql_include} \
	--with-libraries=%{iworx_mysql_lib} \
	--with-modules=${MODULES}

%build

%{__make} %{?_smp_mflags}

%install

%{__make}                                            \
	prefix=%{buildroot}%{_prefix}                \
	bindir=%{buildroot}%{_bindir}                \
	sbindir=%{buildroot}%{_sbindir}              \
	mandir=%{buildroot}%{_mandir}                \
	libdir=%{buildroot}%{_libdir}                \
	localstatedir=%{buildroot}%{_localstatedir}  \
	datadir=%{buildroot}%{_datadir}              \
	includedir=%{buildroot}%{_includedir}        \
	sysconfdir=%{buildroot}%{_sysconfdir}        \
	rundir=%{buildroot}%{rundir}                 \
	INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn` \
	install

mkdir -p %{buildroot}/etc/pam.d
mkdir -p %{buildroot}/var/log/ftpd
mkdir -p %{buildroot}/var/proftpd
mkdir -p %{buildroot}/var/run/proftpd

install -m 644 contrib/dist/rpm/ftp.pamd %{buildroot}/etc/pam.d/ftp

mkdir -p %{buildroot}/etc/rc.d/init.d
sed -e '/FTPSHUT=/c\' \
	-e 'FTPSHUT=%{_prefix}/sbin/ftpshut' \
	contrib/dist/rpm/proftpd.init.d \
		> contrib/dist/rpm/proftpd.init.d.tmp
mv --force contrib/dist/rpm/proftpd.init.d.tmp contrib/dist/rpm/proftpd.init.d
install -m 755 contrib/dist/rpm/proftpd.init.d %{buildroot}/etc/rc.d/init.d/proftpd

mkdir -p %{buildroot}/etc/logrotate.d/
install -m 644 contrib/dist/rpm/proftpd.logrotate %{buildroot}/etc/logrotate.d/proftpd

# We don't want this dangling symlinks to make it into the RPM
rm -f contrib/README.mod_sql
mkdir -p %{buildroot}%{_docdir}

rm -f %{buildroot}%{_docdir}/*
#install -m 644 COPYING CREDITS ChangeLog NEWS %{buildroot}%{_docdir}

cp -f %{SOURCE1} %{buildroot}%{_sysconfdir}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
[ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] && rm -rf $RPM_BUILD_DIR/%{name}-%{pversion}

%pre

# make the proftpd group
/bin/grep "^%{user}:" /etc/group >/dev/null || \
	groupadd -r %{user} 2>/dev/null

# make the proftpd user
/bin/grep "^%{user}:" /etc/passwd >/dev/null || \
	/usr/sbin/useradd -g %{user} -d /tmp -s /bin/true -c %{name} -r -m %{user} 2>/dev/null

%postun

if [ "$1" == "0" ]; then
	if [ -d %{rundir} ]; then
		rm -rf %{rundir}/*
	fi
	/sbin/chkconfig --del proftpd
fi

%post

if [ "$1" = "1" ]; then

    if [ -x /sbin/chkconfig ]; then
	    /sbin/chkconfig --add proftpd
    	/sbin/chkconfig --level 345 proftpd on
    fi

fi

if [ -x /sbin/service ]; then
	mkdir /var/proftpd 2> /dev/null

	# update deprecated conf params
	sed -i 's|DisplayFirstChdir|DisplayChdir|g' /etc/proftpd.conf
	sed -i 's|SQLHomedirOnDemand|CreateHome|g'  /etc/proftpd.conf

	# make default .pem if it doesn't exist
	mkdir -p /etc/pki/tls/certs
	if [ ! -f /etc/pki/tls/certs/proftpd.pem ]; then
	   umask 077

	   answers() {
	           echo --
		   echo SomeState
        	   echo SomeCity
        	   echo SomeOrganization
        	   echo SomeOrganizationalUnit
        	   echo localhost.localdomain
        	   echo root@localhost.localdomain
	    }

	    for target in "/etc/pki/tls/certs/proftpd.pem" ; do
            	PEM1=`/bin/mktemp /tmp/openssl.XXXXXX`
        	PEM2=`/bin/mktemp /tmp/openssl.XXXXXX`
        	trap "rm -f $PEM1 $PEM2" SIGINT
        	answers | /usr/bin/openssl req -newkey rsa:1024 -keyout $PEM1 -nodes -x509 -days 365 -out $PEM2 2> /dev/null
        	cat $PEM1 >  ${target}
        	echo ""   >> ${target}
        	cat $PEM2 >> ${target}
        	rm -f $PEM1 $PEM2
	    done

	fi

	if [ "$1" = "2" ]; then

	   # add tls block
	   grep TLSEngine /etc/proftpd.conf >/dev/null 2>&1 || echo "
<IfModule mod_tls.c>
  TLSEngine on
  TLSLog /var/log/ftp-tlslog
  TLSProtocol SSLv23 # this selects the latest crypt version

  TLSOptions NoCertRequest # this is REALLY important for WinClients

  # Are clients required to use FTP over TLS when talking to this server?
  TLSRequired off

  # Server's certificate
  TLSRSACertificateFile /etc/pki/tls/certs/proftpd.pem
  TLSRSACertificateKeyFile /etc/pki/tls/certs/proftpd.pem

  # CA the server trusts
  # TLSCACertificateFile /usr/share/ssl/cert.pem

  # Authenticate clients that want to use FTP over TLS?
  TLSVerifyClient off
</IfModule>
" >> /etc/proftpd.conf

	   # add passive port defaults if it isn't already there
	   grep PassivePorts /etc/proftpd.conf >/dev/null 2>&1 || echo -e '\nPassivePorts 50000 51000' >> /etc/proftpd.conf

	   # grab port info, add passive port info if not already there, and restart apf if it's running
	   eval `grep -e '^IG_TCP_CPORTS' /etc/apf/conf.apf 2> /dev/null`
	   echo $IG_TCP_CPORTS | grep 50000_51000 > /dev/null 2>&1 || \
	   IG_TCP_CPORTS="$IG_TCP_CPORTS,50000_51000" && \
	   /home/interworx/bin/apf.pex --set-inbound-tcp="$IG_TCP_CPORTS" 2> /dev/null

	   /sbin/iptables --list -n | grep icmp-host-prohibited > /dev/null 2>&1 && \
           /sbin/service apf restart > /dev/null 2>&1

	   proftpd -t > /dev/null 2>&1
	   if [ "$?" -eq "0" ]; then
          pidof proftpd > /dev/null 2>&1 || :
          if [ "$?" == "0" ]; then         
    	     /sbin/service proftpd restart > /dev/null 2>&1 || :
          fi
	   fi
	fi
fi

# add mod_auth_pam.c to the correct place in AuthOrder in /etc/proftpd.conf
/bin/awk '$1 ~ /AuthOrder/ && $3 !~ /mod_auth_pam.c/ {sub ($3, "mod_auth_pam.c "$3)};1' /etc/proftpd.conf > /etc/proftpd.conf.bak
/bin/mv /etc/proftpd.conf.bak /etc/proftpd.conf

%preun
if [ "$1" == "0" ]; then
   echo
   echo "WARNING: proftpd package removal request denied.  This package is required by Interworx."
   echo
   exit 1
fi

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_sbindir}/*
%attr(0755,root,root) %{_bindir}/*
%attr(0644,root,root) %{_sysconfdir}/logrotate.d/proftpd
%attr(0751,root,root) %dir %{rundir}
%attr(0700,root,root) %{_sysconfdir}/rc.d/init.d/proftpd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/pam.d/ftp
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/proftpd.conf

%doc
#%attr(0644,root,root) %{_datadir}/doc/COPYING
#%attr(0644,root,root) %{_datadir}/doc/CREDITS
#%attr(0644,root,root) %{_datadir}/doc/ChangeLog
#%attr(0644,root,root) %{_datadir}/doc/NEWS
%attr(0644,root,root) %{_datadir}/man/man1/ftpcount.1*
%attr(0644,root,root) %{_datadir}/man/man1/ftptop.1*
%attr(0644,root,root) %{_datadir}/man/man1/ftpwho.1*
%attr(0644,root,root) %{_datadir}/man/man5/xferlog.5*
%attr(0644,root,root) %{_datadir}/man/man8/ftpshut.8*
%attr(0644,root,root) %{_datadir}/man/man8/proftpd.8*
%attr(0644,root,root) %{_datadir}/man/man8/ftpdctl.8*
%attr(0644,root,root) %{_datadir}/man/man8/ftpscrub.8*

%files devel
%attr(0644,root,root) /usr/include/proftpd/auth.h
%attr(0644,root,root) /usr/include/proftpd/bindings.h
%attr(0644,root,root) /usr/include/proftpd/buildstamp.h
%attr(0644,root,root) /usr/include/proftpd/child.h
%attr(0644,root,root) /usr/include/proftpd/class.h
%attr(0644,root,root) /usr/include/proftpd/compat.h
%attr(0644,root,root) /usr/include/proftpd/conf.h
%attr(0644,root,root) /usr/include/proftpd/config.h
%attr(0644,root,root) /usr/include/proftpd/ctrls.h
%attr(0644,root,root) /usr/include/proftpd/data.h
%attr(0644,root,root) /usr/include/proftpd/default_paths.h
%attr(0644,root,root) /usr/include/proftpd/dirtree.h
%attr(0644,root,root) /usr/include/proftpd/display.h
%attr(0644,root,root) /usr/include/proftpd/env.h
%attr(0644,root,root) /usr/include/proftpd/event.h
%attr(0644,root,root) /usr/include/proftpd/feat.h
%attr(0644,root,root) /usr/include/proftpd/fsio.h
%attr(0644,root,root) /usr/include/proftpd/ftp.h
%attr(0644,root,root) /usr/include/proftpd/glibc-glob.h
%attr(0644,root,root) /usr/include/proftpd/help.h
%attr(0644,root,root) /usr/include/proftpd/inet.h
%attr(0644,root,root) /usr/include/proftpd/libsupp.h
%attr(0644,root,root) /usr/include/proftpd/log.h
%attr(0644,root,root) /usr/include/proftpd/mkhome.h
%attr(0644,root,root) /usr/include/proftpd/mod_ctrls.h
%attr(0644,root,root) /usr/include/proftpd/mod_sql.h
%attr(0644,root,root) /usr/include/proftpd/modules.h
%attr(0644,root,root) /usr/include/proftpd/netacl.h
%attr(0644,root,root) /usr/include/proftpd/netaddr.h
%attr(0644,root,root) /usr/include/proftpd/netio.h
%attr(0644,root,root) /usr/include/proftpd/options.h
%attr(0644,root,root) /usr/include/proftpd/parser.h
%attr(0644,root,root) /usr/include/proftpd/pidfile.h
%attr(0644,root,root) /usr/include/proftpd/pool.h
%attr(0644,root,root) /usr/include/proftpd/pr-syslog.h
%attr(0644,root,root) /usr/include/proftpd/privs.h
%attr(0644,root,root) /usr/include/proftpd/proctitle.h
%attr(0644,root,root) /usr/include/proftpd/proftpd.h
%attr(0644,root,root) /usr/include/proftpd/regexp.h
%attr(0644,root,root) /usr/include/proftpd/response.h
%attr(0644,root,root) /usr/include/proftpd/scoreboard.h
%attr(0644,root,root) /usr/include/proftpd/sets.h
%attr(0644,root,root) /usr/include/proftpd/support.h
%attr(0644,root,root) /usr/include/proftpd/table.h
%attr(0644,root,root) /usr/include/proftpd/timers.h
%attr(0644,root,root) /usr/include/proftpd/trace.h
%attr(0644,root,root) /usr/include/proftpd/var.h
%attr(0644,root,root) /usr/include/proftpd/version.h
%attr(0644,root,root) /usr/include/proftpd/xferlog.h
%attr(0644,root,root) /usr/include/proftpd/encode.h
%attr(0644,root,root) /usr/include/proftpd/expr.h
%attr(0644,root,root) /usr/include/proftpd/str.h
%attr(0644,root,root) /usr/include/proftpd/throttle.h
%attr(0644,root,root) /usr/include/proftpd/cmd.h
%attr(0644,root,root) /usr/include/proftpd/filter.h
%attr(0644,root,root) /usr/include/proftpd/mod_tls.h
%attr(0644,root,root) /usr/include/proftpd/session.h

%changelog
* Fri Oct 15 2010 Paul Oehler <poehler@interworx.com>
- Added mod_auth_pam.c to AuthOrder
- Added pam-devel as build requirement
* Fri Oct 07 2010 Paul Oehler <poehler@interworx.com>
- Removed extraneous output on update/install
* Sun Oct 03 2010 Paul Oehler <poehler@interworx.com>
- Added uninstall blocker preun script
* Mon Sep 27 2010 Paul Oehler <poehler@interworx.com>
- Added 1.3.3b version
* Wed Aug 11 2010 Paul Oehler <poehler@interworx.com>
- Added 1.3.3a version
* Thu May 06 2010 Paul Oehler <poehler@interworx.com>
- Updated for RHEL 6.x
* Wed Nov 12 2008 Paul Oehler <poehler@interworx.com>
- Updated to 1.3.2rc2
* Fri Jun 20 2008 Paul Oehler <poehler@interworx.com>
- Updated to 1.3.1
* Tue Jun 17 2008 Paul Oehler <poehler@interworx.com>
- Updated for Fedora 9
* Tue May 13 2008 Paul Oehler <poehler@interworx.com>
- Added proftpd-1.3.0a-fix-umode_t.patch patch, required for building on fc8
- Added Fedora 8 support
* Sat Sep 18 2004 Chris Wells <clwells@nexcess.net>
- Added 'AuthOrder' to the default proftpd.conf
* Sun Sep 4 2004 Chris Wells <clwells@nexcess.net>
- updated for 1.2.10
* Wed Aug 27 2003 Chris Wells <clwells@nexcess.net>
- initial release
